/***************************************************************************
 * qcanvasellipsecm.cpp: implementation of QCanvasEllipseCm class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#include "qcanvasellipsecm.h"

#include "track/cm.h"
#include "track/qpointcm.h"

QCanvasEllipseCm::QCanvasEllipseCm()
: QGraphicsEllipseItem()
{
}

QCanvasEllipseCm::QCanvasEllipseCm(const Cm& x, const Cm& y, const Cm& width, const Cm& height)
: QGraphicsEllipseItem(x.valueOfPixel(), y.valueOfPixel(), width.valueOfPixel(), height.valueOfPixel())
{
}

void QCanvasEllipseCm::setPosFromPoint(const QPointCm& point, const Cm& width, const Cm& height)
{
	setPosFromCoord(point.x(), point.y(), width, height);
}

void QCanvasEllipseCm::setPosFromCoord(const Cm& x, const Cm& y, const Cm& width, const Cm& height)
{
	setRect(x.valueOfPixel(), y.valueOfPixel(), width.valueOfPixel(), height.valueOfPixel());
}

/*
void QCanvasEllipseCm::setX(const Cm& x)
{
	QCanvasEllipse::setX(x.valueOfPixel());
}

void QCanvasEllipseCm::setY(const Cm& y)
{
	QCanvasEllipse::setY(y.valueOfPixel());
}

void QCanvasEllipseCm::move(const Cm& x, const Cm& y)
{
	QCanvasEllipse::move(x.valueOfPixel(), y.valueOfPixel());
}
*/
void QCanvasEllipseCm::moveBy(const Cm& x, const Cm& y)
{
//	QCanvasEllipse::moveBy(x.valueOfPixel(), y.valueOfPixel());
}
